require "spec_helper"

describe Lita::Handlers::Doubler, lita_handler: true do
  describe 'routing' do
    # allow whitespace
    it { is_expected.to route('Lita double 2') }
    it { is_expected.to route('Lita double    22') }
    # ignore CaSe
    it { is_expected.to route('Lita DouBLe 4') }

    # ignore text and mixed strings
    it { is_expected.to_not route('Lita double four') }
    it { is_expected.to_not route('Lita double 1d4 ') }
  end

  describe ':double_number' do
    let(:n) { rand(1..100) }

    it 'returns double the input' do
      actual = subject.double_number n
      expected = n * 2

      expect(actual).to eq(expected)
    end

    it 'doubles numbers when asked to' do
      send_message 'Lita double 2'
      expect(replies.last).to eq('2 + 2 = 4')
    end
  end
end
